import request from '@/utils/httpRequest'

export default class PositionService {
  list (params) {
    return request({
      url: '/job/position/list',
      method: 'get',
      params: params
    })
  }
  queryById (id) {
    return request({
      url: '/job/position/queryById',
      method: 'get',
      params: {id: id}
    })
  }
  queryAllCategory () {
    return request({
      url: '/job/position/queryAllCategory',
      method: 'get',
      params: {}
    })
  }
  save (inputForm) {
    return request({
      url: `/job/position/save`,
      method: 'post',
      data: inputForm
    })
  }
  delete (ids) {
    return request({
      url: '/job/position/delete',
      method: 'delete',
      params: {ids: ids}
    })
  }
  updateSort (params) {
    return request({
      url: `/job/position/updateSort`,
      method: 'post',
      data: params
    })
  }
}
